var settings = {};

function GroupFunction(type) {
    var jSemesters = $('#semesters' + type);
    var jGrades = $('#grades' + type);
    // var jGroupTransfer = $('#groupTransfer' + type);
    var jGroupSelect = $('#group' + type);
    // var jItemContainer = $('.TransferListItem');
    var jList = $("#" + type + "ItemsList");

    jGrades.find('option[value=-1]').prop('selected', true);
    jGroupSelect.turnOff();
    jGroupSelect.find('option[value=0]').prop('selected', true);

    jSemesters.change(function () {
        var sem = jSemesters.find('option:selected');

        if (sem.hasClass('current'))
            jSemesters.addClass('Current');
        else
            jSemesters.removeClass('Current');

        jGrades.find('option[value=-1]').prop('selected', true);
        jGroupSelect.turnOff();
        jGroupSelect.find('option[value=0]').prop('selected', true);
    });

    jGrades.change(function () {
        if (+jGrades.val() != -1) {
            groupSelect.reload();
            jList.html('');
        } else {
            jSemesters.change();
        }
    });

    let groupSelect = getGroupLoader(jGroupSelect, () => ({
        FacultyID: settings.facultyID,
        SemesterID: +jSemesters.find('option:selected').val(),
        GradeID: +jGrades.val()
    }));

    var jButtonSelect = $('#SelectAll' + type);
    var jStudentsList = $('#StudentList' + type);
    var jButtonDeselect = $('#DeselectAll' + type);

    jButtonSelect.click(function () {
        jStudentsList.find('li').addClass('selected');
    });

    jButtonDeselect.click(function () {
        jStudentsList.find('li.selected').removeClass('selected');
    });

    jList.on('click', 'li', function () {
        $(this).hasClass('selected') ?
            $(this).removeClass('selected') : $(this).addClass('selected');
    });
}

$(function () {
    settings = getSettings();

    GroupFunction('Left');
    GroupFunction('Right');
    $('#TransferItemsList').on('click', 'li', function () {
        $(this).hasClass('selected') ?
            $(this).removeClass('selected') : $(this).addClass('selected');
    });
    var view = new View($('.TransferControl'));

    var transferer = new Controller();
    transferer.setView(view);

});
